Add a file to the post form.

- « Swoole\Http\Client

- Swoole\Http\Client::close »

- PHP Manual
- Swoole\Http\Client
- Add a file to the post form.

# Swoole\Http\Client::addFile

(PECL swoole >= 1.9.0)

Swoole\Http\Client::addFile — Add a file to the post form.

### Description

public Swoole\Http\Client::addFile(
string `$path`,
string `$name`,
string `$type` = ?,
string `$filename` = ?,
string `$offset` = ?
): void

### Parameters

`path`

`name`

`type`

`filename`

`offset`

### Return Values